Subject: 28.2; Emacs hangs every few seconds

From: Tobias Bora <[email-masked]>
Date: Tue, 26 Nov 2024 09:36:14 +0100

Dear emacs maintainers,

Bug description: since I upgraded my system, emacs hangs regularly
(usually every 10 seconds or so), during maybe 3 seconds on average. 
Like just the time to write this bug report,
emacs hanged 13 times frankly (more than a few seconds), and a few times
I felt a bit of a lag when writting. The hang can
occur while typing, or while moving (e.g. with ctrl+arrow
left/right). The bug occurs also while starting emacs with -Q and with
multiple versions (tested with 28.2 and 29.4). Funily enough, the bug
started after I upgraded my system, but not emacs (emacs was installed
via home-manager, and I upgraded first my system, then home-manager but
still used emacs in the meantime). Note however that this bug is not
specific to the emacs installed via home-manager, as the system-wide
installed emacs also suffers from this bug. I am running KDE, and the
bug was present in KDE Plasma 5 and 6, with both wayland and X11, and
with both the lucid and gtk versions of emacs. Note
also that emacs is the only application witnessing hangs. I run nixos 
unstable,
and the bug started when upgrading from revision
b8697e57f10292a6165a20f03d2f42920dfaf973 to
4c2fcb090b1f3e5b47eaa7bd33913b574a11e0a0. Some possibly relevant parts
of my configuration (since emacs comes with all its dependencies pined
in nix, and the bug started after an upgrade of the system and not emacs 
itself, it
might be related to how emacs deals with graphics?)

{ config, lib, pkgs, ... }:
{

   hardware.enableRedistributableFirmware = true;
   hardware.cpu.intel.updateMicrocode = true;

   # issue with sleep mode, lets's try a different one
   boot.kernelPackages = pkgs.linuxPackages_6_1;

   hardware.graphics.enable = true;
   hardware.graphics.extraPackages = with pkgs; [
     intel-ocl # Detects the CPU (opencl), apparently it's proprietary 
https://nixos.org/manual/nixos/stable/index.html#sec-gpu-accel-opencl-intel
     intel-compute-runtime # Opencl for Gen8 and later GPU (For Gen7, 
use deprecated beignet)
     vaapiIntel libvdpau-va-gl vaapiVdpau # Seems to be for accelerated 
graphics
   ];

   # For steam to work
   hardware.graphics.enable32Bit = true;

   environment.systemPackages = with pkgs; [
     vulkan-tools
   ];

   # SSD
   boot.kernel.sysctl = {
     "vm.swappiness" = 1;
   };
}

In GNU Emacs 28.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41, 
cairo version 1.18.0)
Windowing system distributor 'The X.Org Foundation', version 11.0.12401003
System Description: NixOS 24.11 (Vicuna)

Configured using:
  'configure
  --prefix=/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2
  --disable-build-details --with-modules --with-x-toolkit=gtk3 --with-xft
  --with-cairo --with-native-compilation --with-xwidgets'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG JSON
LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
X11 XDBE XIM XPM XWIDGETS GTK3 ZLIB

Important settings:
   value of $EMACSLOADPATH: 
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp:
   value of $EMACSNATIVELOADPATH: 
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/native-lisp:
   value of $LANG: fr_FR.UTF-8
   value of $XMODIFIERS: @im=ibus
   locale-coding-system: utf-8-unix

Major mode: Python

Minor modes in effect:
   shell-dirtrack-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   eldoc-mode: t
   show-paren-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/transient-20231112.923/transient 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/transient
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-crypt 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-crypt
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-datetree 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-datetree
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-lob 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-lob
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-inlinetask 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-inlinetask
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-forth 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-forth
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/oc-biblatex 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/oc-biblatex
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-eww 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-eww
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-keys 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-keys
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-R 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-R
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-rmail 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-rmail
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-ditaa 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-ditaa
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-capture 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-capture
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-publish 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-publish
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-tangle 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-tangle
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/oc-csl 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/oc-csl
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-org 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-org
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-colview 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-colview
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-irc 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-irc
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-element 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-element
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-clojure 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-clojure
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-protocol 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-protocol
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-doi 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-doi
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-org 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-org
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-ruby 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-ruby
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-sqlite 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-sqlite
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-lilypond 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-lilypond
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-exp 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-exp
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-comint 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-comint
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-compat 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-compat
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-beamer 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-beamer
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-latex 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-latex
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-ascii 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-ascii
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-attach-git 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-attach-git
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-num 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-num
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-info 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-info
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-plantuml 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-plantuml
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-md 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-md
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-mobile 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-mobile
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/oc-basic 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/oc-basic
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-icalendar 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-icalendar
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-bibtex 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-bibtex
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-lint 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-lint
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-screen 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-screen
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-js 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-js
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-koma-letter 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-koma-letter
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-sass 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-sass
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-macs 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-macs
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-eshell 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-eshell
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-maxima 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-maxima
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-sql 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-sql
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-octave 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-octave
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-gnus 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-gnus
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-goto 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-goto
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-faces 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-faces
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-list 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-list
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-sed 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-sed
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-w3m 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-w3m
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-macro 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-macro
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-html 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-html
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-core 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-core
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-mouse 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-mouse
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-agenda 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-agenda
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-attach 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-attach
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-archive 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-archive
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-perl 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-perl
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-lua 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-lua
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-awk 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-awk
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-mhe 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-mhe
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-table 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-table
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-bbdb 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-bbdb
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-processing 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-processing
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-man 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-man
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-clock 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-clock
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-C 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-C
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-gnuplot 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-gnuplot
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-footnote 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-footnote
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-ocaml 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-ocaml
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-timer 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-timer
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-dot 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-dot
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-ref 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-ref
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-version 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-version
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-table 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-table
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-julia 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-julia
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-eshell 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-eshell
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-eval 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-eval
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-refile 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-refile
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-latex 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-latex
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-shell 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-shell
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/oc-natbib 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/oc-natbib
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-texinfo 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-texinfo
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-duration 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-duration
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-ctags 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-ctags
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-matlab 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-matlab
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-plot 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-plot
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-python 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-python
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-entities 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-entities
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-emacs-lisp 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-emacs-lisp
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-feed 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-feed
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-tempo 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-tempo
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-man 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-man
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-makefile 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-makefile
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-id 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-id
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-src 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-src
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-pcomplete 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-pcomplete
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-groovy 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-groovy
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-lisp 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-lisp
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-fortran 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-fortran
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-java 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-java
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-habit 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-habit
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-scheme 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-scheme
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-indent 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-indent
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-calc 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-calc
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ol-docview 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ol-docview
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ox-odt 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ox-odt
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-haskell 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-haskell
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/oc 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/oc
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/ob-css 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/ob-css
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.23/org-loaddefs 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/org/org-loaddefs
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/eldoc-1.14.0/eldoc 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/emacs-lisp/eldoc
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/emacs-lisp/let-alist
/nix/store/rb2qdgnjzp7jryr02nzf9yxn9d4cq100-emacs-packages-deps/share/emacs/site-lisp/elpa/seq-2.24/seq 
hides 
/nix/store/qqn5jlcbn8q444y06pj5a4gpcjxrpmz7-emacs-gtk3-28.2/share/emacs/28.2/lisp/emacs-lisp/seq

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg rfc6068 epg-config gnus-util rmail
rmail-loaddefs text-property-search mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils misearch multi-isearch
dabbrev vc-git diff-mode easy-mmode vc-dispatcher python tramp-sh tramp
tramp-loaddefs trampver tramp-integration files-x tramp-compat shell
pcomplete parse-time iso8601 time-date ls-lisp format-spec auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache json
subr-x map seq seq-25 byte-opt gv bytecomp byte-compile cconv comint
ring cl-loaddefs cl-lib ansi-color iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads xwidget-internal dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 120955 4691)
  (symbols 48 9287 0)
  (strings 32 31296 1936)
  (string-bytes 1 1151809)
  (vectors 16 18504)
  (vector-slots 8 375833 10854)
  (floats 8 45 286)
  (intervals 56 2120 0)
  (buffers 992 14))